Subject: Re: x86/non-x86: percpu, node ids, apic ids x86.git fixup

From: Ingo Molnar <[email-masked]>
Date: Wed, 30 Jan 2008 19:49:20 +0100

* Luck, Tony <[email-masked]> wrote:

> > Could you check the patch below? With this applied to latest -git, 
> > ia64 buils fine for me in a cross-compiling environment. (but i dont 
> > know whether it boots ...)
> 
> Uni-processor build still fails with this patch (config is 
> arch/ia64/configs/tiger_defconfig with CONFIG_SMP switched from =y to 
> =n).

could you try the full patchset that Travis has just sent and which i've 
put into x86.git, you can pull it from:

    git://git.kernel.org/pub/scm/linux/kernel/git/x86/linux-2.6-x86.git

it's a fixes only tree, ontop of Linus-very-latest. Head 4b9e425c25f84. 
[pull from ssh://master.kernel.org if it's not on git.kernel.org yet, 
uploaded it this very minute.]

	Ingo